find_package(PIP)
if (PIP_FOUND AND BUILDING_pip)

	project(piintrospector)
	if(APPLE)
		set(APP_ICON "")
	elseif(WIN32)
		set(APP_ICON "")
	else()
		set(APP_ICON "")
	endif()
	set(APP_INFO "PIIntrospector")
	include(PIPMacros)
	set(PII_ROOT "${pip_ROOT_SRC}/libs/main/introspection")
	pip_code_model(CCM "${PII_ROOT}/piintrospection_server_p.h" "${PII_ROOT}/piintrospection_threads_p.h" OPTIONS "-DPIP_EXPORT" "-Es" ABSOLUTE)
	qad_application(piintrospector "Gui;Widgets" "qad_utils;qad_widgets;qad_application;qad_piqt_utils" ${CCM})
	
	foreach(_v ${_QT_VERSIONS_})
		if (LOCAL_FOUND${_v})
			add_dependencies(qad_piqt_utils${_v} pip_cmg)
		endif()
	endforeach()

endif()
